/* =========================================================================

NAME: emptyLine.js

AUTHOR: Oleg Butrin (obutrin@indesign.rudtp.ru)
HOMEPAGE: http://indesign.rudtp.ru
DATE  : 11.06.2004 20:45

COMMENT: Script apply selected paragraph style to empty line

RIGHT:
You have the right to use and distribute this script.
You have the right to modify this script for own needs. 
It is desirable to send the variant to the author of a script.
You have no right to distribute the modified script from author's name.
You have no right to have profit from sale of a script.

The author of a script does not sustain the responsibility in all cases of loss data and other kinds of losses if they have arisen in the time of using a script.
You use this script at your own fear and risk.

============================================================================ */
with (app) {
	var myIniFile = new File (activeScript.path + "/emptyLine.ini");
	if (!myIniFile.exists) {
		alert("Can\'t find ini file!");
		exit ();
	} else {
		eval ("//@include \'emptyLine.ini\';");
	}
	var myLangFile = new File (activeScript.path + "/" + iniLangFile);
	if (!myLangFile.exists) {
		alert("Can\'t find lang file!");
		exit ();
	} else {
		eval ("//@include \'" + iniLangFile + "\';");
	}	if (documents.length < 1) {
		alert (langNoDoc);
		exit();
	}
	if (selection.length != 1) {
		alert (langNoSelection)			
		exit();
	}
	switch (selection[0].constructor.name) {
		case "Text":
			var myStory = selection[0].parentStory;
			break;
		case "TextFrame":
			var myStory = selection[0].parentStory;
			break;
		case "InsertionPoint":
			var myStory = selection[0].parentStory;
			break;
		default :
			alert (langNoType);
			exit ();
	}
	var myEmptyLineArray = new Array();
	var myEmptyLineCount = 0;
	for (myCounter = 0; myCounter < myStory.paragraphs.length; myCounter++) {
		if (myStory.paragraphs[myCounter].words.length == 0) {
			myEmptyLineArray[myEmptyLineCount] = myStory.paragraphs[myCounter];
			myEmptyLineCount++;
		}
	}
	var myParaNameArray = new Array ();
	for (myCounter = 0; myCounter < activeDocument.paragraphStyles.length; myCounter++) {
		myParaNameArray[myCounter] = activeDocument.paragraphStyles[myCounter].name;
	}
	var myDialog = dialogs.add({name:iniScriptName + " " +iniScriptVersion});
		with (myDialog) {
			with (dialogColumns.add()) {
				with (borderPanels.add().dialogColumns.add()) {
					dialogRows.add().staticTexts.add({staticLabel:langSelectStyle});
					var myParaName = dialogRows.add().dropdowns.add({stringList:myParaNameArray, selectedIndex:1});
					with (dialogRows.add()) {
						with (dialogColumns.add()) {
							dialogRows.add().staticTexts.add({staticLabel:langChangeText});
							dialogRows.add().staticTexts.add({staticLabel:langEmptyLineCount});
						}
						with (dialogColumns.add()) {
							var myChangeText = dialogRows.add().textEditboxes.add({editContents:iniDefText});
							dialogRows.add().staticTexts.add({staticLabel:String(myEmptyLineArray.length)});
						}
					}
				}
				dialogRows.add().staticTexts.add({staticLabel:"\u00A9 Oleg Butrin"});
				dialogRows.add().staticTexts.add({staticLabel:"http://indesign.rudtp.ru"});
			}
		}
	var myResult = myDialog.show();
	if (!myResult) {
		myDialog.destroy();
		exit();
	}
	for (myCounter = 0; myCounter < myEmptyLineArray.length; myCounter++) {
		with (myEmptyLineArray[myCounter]) {
			if (String(myChangeText.editContents).length > 0) {
				contents = myChangeText.editContents + "\u000D";
			}
			appliedParagraphStyle = activeDocument.paragraphStyles[myParaName.selectedIndex];
		}
	}
}